/**@file

// fwBackupLauncher.ctl
This library contains the businees logic behind the fwBackupLauncher and fwBackupProperties panels.

@par Creation Date
  22/03/2016

@par Modification History
  
@par Constraints
  None

@par Usage
  Public

@par PVSS managers
  Ui, CTRL

@author 
  Valentin COMTE (BE-ICS-SDS)
*/
//@{


/** Function called from the Properties panel, to define the schedule of a backup
  
@par Constraints
  None

@par Usage
  Public

@par PVSS managers
  Ui, CTRL

@param arSysNameLen input, number of systems selected
@param newMonth input, new value for the syncMonth DPE
@param newDay input, new value for the syncDay DPE (numeric 1-31)
@param newWeekDay input, new value for the syncWeekDay DPE (numeric 1-7)
@param newSyncTime input, new value for the syncTime DPE (numeric, time of the day you want the backup to be performed, in seconds since midnight 0-86400)
@param newInterval input, new value for the syncInterval DPE (numeric, can be Daily/Weekly/Monthly/Yearly, in seconds)
*/
applyBackupSettings(int arSysNameLen, int newMonth, int newDay, int newWeekDay, int newSyncTime, int newInterval, dyn_string arSysName)
{
  if (arSysNameLen > 1) {
    for (int i = 1; i <= arSysNameLen ; i++) {
      dpSetWait(arSysName[i] + "_OnlineBackup.syncTime", newSyncTime, arSysName[i] + "_OnlineBackup.syncWeekDay", newWeekDay, arSysName[i] + "_OnlineBackup.syncDay", newDay, arSysName[i] + "_OnlineBackup.syncMonth", newMonth, arSysName[i] + "_OnlineBackup.interval", newInterval);
      text_success.visible(1);
    }
  }
  else {
  dpSetWait(systemName + "_OnlineBackup.syncTime", newSyncTime, systemName + "_OnlineBackup.syncWeekDay", newWeekDay, systemName + "_OnlineBackup.syncDay", newDay, systemName + "_OnlineBackup.syncMonth", newMonth, systemName + "_OnlineBackup.interval", newInterval);
  text_success.visible(1);
  }
}
/** Function called from the Properties panel, to define the backup path of a project
  
@par Constraints
  None

@par Usage
  Public

@par PVSS managers
  Ui, CTRL
*/
applyBackupPath()
{
  string bckp_path;
  text_success.visible(0);
  getValue("backup_path_field", "text", bckp_path);
  DebugN(bckp_path);
  dpSetWait(systemName + "_DataManager.Backup.InputFile.Device", bckp_path);
  text_success.visible(1);
}

/** Function called from the Properties panel, to check if a specific interval is set, and disable the day of the month and the month combo boxes
  
@par Constraints
  None

@par Usage
  Public

@par PVSS managers
  Ui, CTRL
  
  @param comboValue input, gets the interval combo box value
*/
dateVerification(string comboValue) 
{
  if (comboValue != "Interval") {
    combo_syncDay.enabled(false);
    combo_month.enabled(false);
  }
  else {
    combo_syncDay.enabled(true);
    combo_month.enabled(true);
  }
}


//@}
